Subject: bug#19170: 25.0.50; enhancement request: `compare-windows' use across frames

From: Juri Linkov <[email-masked]>
Date: Sat, 29 Nov 2014 02:50:00 +0200

> Looks good to me.  Please apply it.  But "matching points"
> should be "match positions" - "point" can be confusing.

Wouldn't a shorter phrase be valid too: "No more matches"?

> Possible enhancements, but not required to close this
> enhancement request:
>
> 1. I do still think it would be good to provide more info
>    in the message.

All extra info is easy to get using standard commands:

a) point values are easy to get with `C-x ='
b) the previous point with `C-x C-x'
c) the size of the skipped region with `M-='

The only info that is not obvious is the name of another
window compared with the selected window.

> 2. As I proposed in the past, I think it would be good to
>    (as I do) bind comparison commands to the same prefix.
>    I bind them to prefix `C-=' (just one possibility):
>
>    C-= b  is ediff-buffers
>    C-= d  is diff
>    C-= e  is ediff-files
>    C-= f  is ediff-files
>    C-= w  is compare-windows-repeat
>
> 3. `compare-windows-repeat' is just a repeatable version
>    of `compare-windows', so you can repeat it using, for
>    example, `C-= w w w w w'.  Very handy, especially
>    given the improvements you've just made.

Binding `compare-windows' to a single key `C-=' makes it easy
to repeat in a long sequence of its invocations :)